<?php
	function afficherTableauEcoles()
	{
		global $connexion;

		$userID = $_SESSION['usagerConsultIsoActif']->u_id;
		$userRegion = $_SESSION['usagerConsultIsoActif']->u_region;

		// Si on reçoit cette donnée dans le $_GET, c'est pour afficher
		// afficher les données d'une saison antérieure
		if (isset($_GET['saison']) || isset($_POST['saison']))
		{
			$saison = (isset($_GET['saison']) ? $_GET['saison'] : $_POST['saison']);
			$saisonPourQuery = '_' . str_replace('-', '_', $saison);
		}
		else
		{
			// Saison courante
			$saison = '2023-2024';
			$saisonPourQuery = '';
		}

		$html = '';

		$html .= '<strong style="font-size:24px;">' . $saison . '</strong>';

		$html .= '<br />';
		$html .= '<br />';

		$html .= '<strong style="font-size:18px;">Consultation des &eacute;coles inscrites et non-inscrites</strong>';

		$html .= '<br />';

		// FORM POUR SÉLECTIONNER LA RÉGION
		// (Si usager admin de toutes les régions)
		if ($userRegion == '99')
		{
			$html .= '<br />';

			$html .= '<form name="frmSelectRegion" id="frmSelectRegion" method="get" action="' . $_SERVER['PHP_SELF'] . '?p=tableauEcoles">';

				if (isset($_GET['saison']) || isset($_POST['saison']))
					$html .= '<input type="hidden" name="saison" value="' . $saison . '">';

				if (isset($_GET['sltQuelleRegion']) && $_GET['sltQuelleRegion'] == 'choisir')
				{
					$html .= '<span style="color:#990000; font-weight:bold;">Vous devez sélectionner une région.</span>';
					$html .= '<br style="clear:both;" />';
				}

				$html .= 'Région : ';

				$html .= '<select name="sltQuelleRegion">';

					$html .= '<option value="choisir" selected>choisir</option>';

					$requete = 'SELECT * FROM t_arse ORDER BY a_nom ASC';
					if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }

					while ($ligne = $resultat->fetch_assoc())
					{
						if (isset($_GET['sltQuelleRegion']) && $_GET['sltQuelleRegion'] == $ligne['a_id'])
							$html .= '<option value="' . $ligne['a_id'] . '" selected="selected">' . utf8_encode($ligne['a_nomComplet']) . '</option>';
						else
							$html .= '<option value="' . $ligne['a_id'] . '">' . utf8_encode($ligne['a_nomComplet']) . '</option>';
					}

				$html .= '</select> ';

				// Pour rester sur la même page
				$html .= '<input type="hidden" name="p" value="tableauEcoles">';

				$html .= '<input type="button" value="Choisir" onclick="$(\'#frmSelectRegion\').submit();">';

			$html .= '</form>';

			if (isset($_GET['sltQuelleRegion']) && $_GET['sltQuelleRegion'] != 'choisir')
				$html .= afficherTableau($_GET['sltQuelleRegion']);
		}
		else
			$html .= afficherTableau($userRegion);

		return utf8_decode($html);
	}



function afficherTableau($pRegion)
{
	global $connexion;

	$userRegion = $_SESSION['usagerConsultIsoActif']->u_region;

	// Si on reçoit cette donnée dans le $_GET, c'est pour
	// afficher les données d'une saison antérieure
	if (isset($_GET['saison']) || isset($_POST['saison'])){
		$saison = (isset($_GET['saison']) ? $_GET['saison'] : $_POST['saison']);
		$saisonPourQuery = '_' . str_replace('-', '_', $saison);
	}
	else{
		// Saison courante
		$saison = '2023-2024';
		$saisonPourQuery = '';
	}

	$html = '';

	$html .= '<br />';

	// si l'usager n'est pas administrateur de toutes les Instances régionales
	if ($_SESSION['usagerConsultIsoActif']->u_region == '99')
	{
		// On va chercher les informations des école de l'instance régionale choisie qui ont un compte sur la plate-forme
		$requete = 'SELECT * FROM t_liste_ecoles_08,isoactif_t_usager_ecole WHERE u_e_id_fk = ID AND a_id_fk = \'' . escape_valeur($pRegion) . '\' ORDER BY NOM ASC';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$nombre = $resultat->num_rows;
	}
	else
	{
		// On va chercher le nom de l'instance régionale de l'usager
		$requete = 'SELECT a_nomComplet FROM t_arse WHERE a_id = \'' . escape_valeur($pRegion) . '\'';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$ligne = $resultat->fetch_assoc();

		$html .= 'Votre région: <strong>' . $ligne['a_nomComplet'] . '</strong>';

		$html .= '<br />';
		$html .= '<br />';

		// On va chercher les informations des école de l'instance régionale de l'usager qui ont un compte sur la plate-forme
		$requete = 'SELECT * FROM t_liste_ecoles_08,isoactif_t_usager_ecole WHERE u_e_id_fk = ID AND a_id_fk = \'' . escape_valeur($pRegion) . '\' ORDER BY NOM ASC';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		$nombre = $resultat->num_rows;
	}

	// VARS TABLEAUX
	$tabCompletP = array();
	$tabNonCompletP = array();
	$tabNonCompletVideP = array();
	$tabInexistantP = array();
	$tabCompletS = array();
	$tabNonCompletS = array();
	$tabNonCompletVideS = array();
	$tabInexistantS = array();


	// Si au moins une école a un compte dans l'instance régionale $pRegion
	if ($nombre != 0)
	{
		if ($saison == '2018-2019' || $saison == '2019-2020')
		{
			#########################################################################################################################
			#########################################################################################################################
			#########################################################################################################################
			while ($ligne = $resultat->fetch_assoc())
			{
				// si le formulaire est PRIMAIRE
				if ($ligne['u_g_prisec'] == 'P')
				{
					// si le formulaire est vide
					// Check si toutes les réponses valent NULL
					if (verifierSiFormVideOuInexistant1718($ligne['u_id'],'P',$saisonPourQuery) == 'vide')
					{
						//on l'ajoute dans le tableau des écoles qui n'ont pas rempli une seule question
						// ID = indice
						// NOM = valeur
						$tabNonCompletVideP[$ligne['ID']] = $ligne['NOM'];
					}
					else if (verifierSiFormVideOuInexistant1718($ligne['u_id'],'P',$saisonPourQuery) == 'inexistant')
					{
						// on ne le fais pas afficher
						//echo 'P inexistant: ' . $ligne['u_id'] . '<br />';
						$tabInexistantP[$ligne['ID']] = $ligne['NOM'];
					}
					else
					{
						//on l'ajoute dans le tableau des écoles qui ont complétés tous les blocs
						// ID = indice
						// NOM = valeur
						$tabCompletP[$ligne['ID']] = $ligne['NOM'];
					}
				}
				else // SI LE FORMULAIRE EST SECONDAIRE
				{
					// si le formulaire est vide
					// Check si toutes les réponses valent NULL
					if (verifierSiFormVideOuInexistant1718($ligne['u_id'],'S',$saisonPourQuery) == 'vide')
					{
						//on l'ajoute dans le tableau des écoles qui n'ont pas rempli une seule question
						// ID = indice
						// NOM = valeur
						$tabNonCompletVideS[$ligne['ID']] = $ligne['NOM'];
					}
					else if (verifierSiFormVideOuInexistant1718($ligne['u_id'],'S',$saisonPourQuery) == 'inexistant')
					{
						// on ne le fais pas afficher
						//echo 'P inexistant: ' . $ligne['u_id'] . '<br />';
						$tabInexistantS[$ligne['ID']] = $ligne['NOM'];
					}
					else
					{
						//on l'ajoute dans le tableau des écoles qui ont complétés tous les blocs
						// ID = indice
						// NOM = valeur
						$tabCompletS[$ligne['ID']] = $ligne['NOM'];
					}
				}
			}
		}
		else // Si AUTRE saison que 2019-2020
		{
			#########################################################################################################################
			#########################################################################################################################
			#########################################################################################################################
			while ($ligne = $resultat->fetch_assoc())
			{
				// si le formulaire est PRIMAIRE
				if ($ligne['u_g_prisec'] == 'P')
				{
					// si le formulaire est complet
					if (verifierSiFormComplet($ligne['u_id'],'P',$saisonPourQuery) == 'oui')
					{
						//on l'ajoute dans le tableau des écoles qui ont complétés tous les blocs
						// ID = indice
						// NOM = valeur
						$tabCompletP[$ligne['ID']] = $ligne['NOM'];
					}
					// Si le formulaire n'est pas complet
					else
					{
						// Si aucune question n'a été remplie
						if (verifierSiFormVideOuInexistant($ligne['u_id'],'P',$saisonPourQuery) == 'vide')
						{
							//on l'ajoute dans le tableau des écoles qui n'ont pas rempli une seule question
							// ID = indice
							// NOM = valeur
							$tabNonCompletVideP[$ligne['ID']] = $ligne['NOM'];
						}
						// si le formulaire n'a pas été entamé dutout
						else if (verifierSiFormVideOuInexistant($ligne['u_id'],'P',$saisonPourQuery) == 'inexistant')
						{
							// on ne le fais pas afficher
							//echo 'P inexistant: ' . $ligne['u_id'] . '<br />';
							$tabInexistantP[$ligne['ID']] = $ligne['NOM'];
						}
						// si au moins une question a été remplie
						else if (verifierSiFormVideOuInexistant($ligne['u_id'],'P',$saisonPourQuery) == 'started')
						{
							//on l'ajoute dans le tableau des écoles qui n'ont pas complétés le formulaire
							$tabNonCompletP[$ligne['ID']] = $ligne['NOM'];
						}
					}
				}
				else // SI LE FORMULAIRE EST SECONDAIRE
				{
					// si le formulaire est complet
					if (verifierSiFormComplet($ligne['u_id'],'S',$saisonPourQuery) == 'oui')
					{
						//on l'ajoute dans le tableau des écoles qui ont complétés tous les blocs
						// ID = indice
						// NOM = valeur
						$tabCompletS[$ligne['ID']] = $ligne['NOM'];
					}
					// Si le formulaire n'est pas complet
					else
					{
						// Si aucune question n'a été remplie
						if (verifierSiFormVideOuInexistant($ligne['u_id'],'S',$saisonPourQuery) == 'vide')
						{
							//on l'ajoute dans le tableau des écoles qui n'ont pas rempli une seule question
							// ID = indice
							// NOM = valeur
							$tabNonCompletVideS[$ligne['ID']] = $ligne['NOM'];
						}
						// si le formulaire n'a pas été entamé dutout
						else if (verifierSiFormVideOuInexistant($ligne['u_id'],'S',$saisonPourQuery) == 'inexistant')
						{
							// on ne le fais pas afficher
							//echo 'P inexistant: ' . $ligne['u_id'] . '<br />';
							$tabInexistantS[$ligne['ID']] = $ligne['NOM'];
						}
						// si au moins une question a été remplie
						else if (verifierSiFormVideOuInexistant($ligne['u_id'],'S',$saisonPourQuery) == 'started')
						{
							//on l'ajoute dans le tableau des écoles qui n'ont pas complétés le formulaire
							$tabNonCompletS[$ligne['ID']] = $ligne['NOM'];
						}
					}
				}
			}
		}


		// Affichage du data
		if ($saison == '2023-2024')
		{
			// nombre d'école pour chaque section du tableau
			$nbCompletP = count($tabCompletP);
			$nbCompletS = count($tabCompletS);
			$nbNonCompletVideP = count($tabNonCompletVideP);
			$nbNonCompletVideS = count($tabNonCompletVideS);
			$nbInexistantP = count($tabInexistantP);
			$nbInexistantS = count($tabInexistantS);

			$nbEcolesPrimairesInscritesARSE = $nbCompletP + $nbNonCompletVideP;
			$nbEcolesSecondairesInscritesARSE = $nbCompletS + $nbNonCompletVideS;

			$nbEcolesInscritesARSE = $nbEcolesPrimairesInscritesARSE + $nbEcolesSecondairesInscritesARSE;

			// TABLEAU DES ÉCOLES INSCRITES
			$html .= '<table class="tableEcolesInscrites" border="0" cellpadding="5">';
			  $html .= '<tr>';
				$html .= '<td colspan="4" align="center" style="font-size:14px;"><strong>&Eacute;coles inscrites (' . $nbEcolesInscritesARSE . ')</strong></td>';
			  $html .= '</tr>';
			  $html .= '<tr>';
				$html .= '<td colspan="2" width="50%" align="center"><strong>Primaire (' . $nbEcolesPrimairesInscritesARSE . ')</strong></td>';
				$html .= '<td colspan="2" width="50%" align="center"><strong>Secondaire (' . $nbEcolesSecondairesInscritesARSE . ')</strong></td>';
			  $html .= '</tr>';
			  $html .= '<tr>';
				$html .= '<td colspan="2" align="center" width="50%"><strong>Formulaire complet ou partiellement complet (' . $nbCompletP . ')</strong></td>';
				$html .= '<td colspan="2" align="center" width="50%"><strong>Formulaire complet ou partiellement complet (' . $nbCompletS	 . ')</strong></td>';
			  $html .= '</tr>';
			  $html .= '<tr>';

				// Écoles primaires dont le formulaire est complet
				$html .= '<td colspan="2" valign="top" style="text-align:left; font-size:12px;">';
					$nbCompletP = count($tabCompletP);

					if ($nbCompletP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabCompletP as $cle => $valeur)
						{
							// on va chercher le nombre d'étudiants que l'usager a entré pour cette école lors de la création du compte
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							// on va chercher le nombre de points que l'école a obtenue dans le formulaire
							$totalPoints = calculerTotalPoints($ligne['u_id'],'P',$saisonPourQuery);
							$pourcentageFinal = ($totalPoints * 100)/50;

							$pourcentageFinalRounded = round($pourcentageFinal);

							$html .= '&bull; ';

							$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formP1718&idEcole=' . $cle . '&saison=' . $saison;

							if (isset($_GET['sltQuelleRegion']))
								$html .= '&sltQuelleRegion=' . $_GET['sltQuelleRegion'];

							$html .= '">' . $ligne['NOM'] . '</a> | ' . afficherCertificationPrimaire($pourcentageFinalRounded) . '</a>';

							$html .= '<br />';
							$html .= '<br />';
							////////////////////////////////////////////////////////////////////////////////////////////////////////
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';

				// Écoles secondaires dont le formulaire est complet
				$html .= '<td colspan="2" valign="top" style="text-align:left; font-size:12px;">';
					$nbCompletS = count($tabCompletS);

					if ($nbCompletS == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabCompletS as $cle => $valeur)
						{
							// on va chercher le nombre d'étudiants que l'usager a entré pour cette école lors de la création du compte
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];


							// on va chercher le nombre de points que l'école a obtenue dans le formulaire
							$totalPoints = calculerTotalPoints($ligne['u_id'],'S',$saisonPourQuery);
							$pourcentageFinal = ($totalPoints * 100)/50;
							$pourcentageFinalRounded = round($pourcentageFinal);

							$html .= '&bull; ';

							$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formS1718&idEcole=' . $cle . '&saison=' . $saison;

							if (isset($_GET['sltQuelleRegion']))
								$html .= '&sltQuelleRegion=' . $_GET['sltQuelleRegion'];

							$html .= '">' . $ligne['NOM'] . '</a> | ' . afficherCertificationPrimaire($pourcentageFinalRounded);

							$html .= '<br />';
							//////////////////////////////////////////////////////////////////////////////////////////////////////////////
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';


			  ################################################################
			  // FORMULAIRES VIDES
			  $html .= '<tr>';
				$html .= '<td width="25%" align="center"><strong>Formulaire vide (' . $nbNonCompletVideP . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire inexistant (' . $nbInexistantP . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire vide (' . $nbNonCompletVideS . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire inexistant (' . $nbInexistantS . ')</strong></td>';
			  $html .= '</tr>';

			  $html .= '<tr>';

				// Écoles primaires dont le formulaire est vide (aucune question remlie)
				$html .= '<td valign="top" style="text-align:left;">';
					$nbNonCompletVideP = count($tabNonCompletVideP);

					if ($nbNonCompletVideP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabNonCompletVideP as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';




				// Écoles primaires dont le formulaire est inexistant
				$html .= '<td valign="top" style="text-align:left;">';

					if ($nbInexistantP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabInexistantP as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							//$html .= '- ' . $valeur . ' (' . $cle . ')';
							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';




				// Écoles secondaires dont le formulaire est vide (aucune question remlie)
				$html .= '<td valign="top" style="text-align:left;">';
					$nbNonCompletVideS = count($tabNonCompletVideS);

					if ($nbNonCompletVideS == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabNonCompletVideS as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';




				// Écoles secondaires dont le formulaire est inexistant
				$html .= '<td valign="top" style="text-align:left;">';

					if ($nbInexistantP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabInexistantS as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';

			  $html .= '</tr>';
			  // FIN FORMULAIRES VIDES
			  ################################################################

			$html .= '</table>';

			$html .= '<br style="clear:both;" />';
			$html .= '<br style="clear:both;" />';
			$html .= '<div class="ligneHorizontale"></div>';
			$html .= '<br style="clear:both;" />';
			$html .= '<br style="clear:both;" />';


			// ÉCOLES NON-INSCRITES
			// on va chercher toutes les écoles de l'ARSE
			if ($userRegion == '99')
			{
				$requete = 'SELECT * FROM t_liste_ecoles_08 WHERE a_id_fk = \'' . escape_valeur($_GET['sltQuelleRegion']) . '\' ORDER BY NOM ASC';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
			}
			else
			{
				$requete = 'SELECT * FROM t_liste_ecoles_08 WHERE a_id_fk = \'' . escape_valeur($userRegion) . '\' ORDER BY NOM ASC';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
			}

			$ecolesNonInscrites = '';
			$compteur = 0;

			while ($ligne2 = $resultat->fetch_assoc())
			{
				// on vérifie si l'école a un compte
				$requete2 = 'SELECT * FROM isoactif_t_usager_ecole WHERE u_e_id_fk = \'' . escape_valeur($ligne2['ID']) . '\'';
				if(!$resultat2 = $connexion->query($requete2)){ die('There was an error running the query [' . $connexion->error . ']'); }
				$nombre = $resultat2->num_rows;

				// si elle n'en a pas, on l'affiche dans la liste des écoles non inscrites
				// et on incrémente de 1 la valeur de $compteur
				if ($nombre == 0)
				{
					$ecolesNonInscrites .= '<br />';
					$ecolesNonInscrites .= '&bull; ' . $ligne2['NOM'];

					$compteur ++;
				}
			}

			$html .= '<strong style="font-size:16px;">&Eacute;coles non-inscrites (' . $compteur . ')</strong>';
			$html .= '<br />';

			// on affiche la liste des écoles non-inscrites de l'ARSE $_POST['sltQuelArse']
			$html .= $ecolesNonInscrites;

			// si aucune école est non-inscrite dans l'ARSE $_POST['sltQuelArse']
			if ($compteur == 0)
			{
				$html .= '<br />';
				$html .= 'Aucune &eacute;cole non-inscrite.';
			}
		}
		else // Affichage du data AUTRE saison que 2023-2024
		{
			// nombre d'école pour chaque section du tableau
			$nbCompletP = count($tabCompletP);
			$nbNonCompletP = count($tabNonCompletP);
			$nbCompletS = count($tabCompletS);
			$nbNonCompletS = count($tabNonCompletS);
			$nbNonCompletVideP = count($tabNonCompletVideP);
			$nbNonCompletVideS = count($tabNonCompletVideS);
			$nbInexistantP = count($tabInexistantP);
			$nbInexistantS = count($tabInexistantS);

			$nbEcolesPrimairesInscritesARSE = $nbCompletP + $nbNonCompletP + $nbNonCompletVideP;
			$nbEcolesSecondairesInscritesARSE = $nbCompletS + $nbNonCompletS + $nbNonCompletVideS;

			$nbEcolesInscritesARSE = $nbEcolesPrimairesInscritesARSE + $nbEcolesSecondairesInscritesARSE;

			// Dialog box lors d'unlock de formulaire (Remplace le traditionnel alert())
			$html .= '<div id="dialogBoxUnlockForm" title="Débarrer ce formulaire" style="display:none;">';
			  $html .= '<p style="padding:7px 0px 0px 0px; margin:0px;">Êtes vous s&ucirc;r?</p>';
			$html .= '</div>';

			// TABLEAU DES ÉCOLES INSCRITES
			$html .= '<table class="tableEcolesInscrites" border="0" cellpadding="5">';
			  $html .= '<tr>';
				$html .= '<td colspan="4" align="center" style="font-size:14px;"><strong>&Eacute;coles inscrites (' . $nbEcolesInscritesARSE . ')</strong></td>';
			  $html .= '</tr>';
			  $html .= '<tr>';
				$html .= '<td colspan="2" width="50%" align="center"><strong>Primaire (' . $nbEcolesPrimairesInscritesARSE . ')</strong></td>';
				$html .= '<td colspan="2" width="50%" align="center"><strong>Secondaire (' . $nbEcolesSecondairesInscritesARSE . ')</strong></td>';
			  $html .= '</tr>';
			  $html .= '<tr>';
				$html .= '<td align="center" width="25%"><strong>Formulaire Complet (' . $nbCompletP . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire incomplet (' . $nbNonCompletP . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire Complet (' . $nbCompletS . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire incomplet (' . $nbNonCompletS . ')</strong></td>';
			  $html .= '</tr>';
			  $html .= '<tr>';

				// Écoles primaires dont le formulaire est complet
				$html .= '<td valign="top">';
					$nbCompletP = count($tabCompletP);

					if ($nbCompletP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabCompletP as $cle => $valeur)
						{
							// on va chercher le nombre d'étudiants que l'usager a entré pour cette école lors de la création du compte
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];


							// on va chercher le nombre de points que l'école a obtenue dans le formulaire
							$totalPoints = calculerTotalPoints($ligne['u_id'],'P',$saisonPourQuery);
							if ($saison == '2013-2014' || $saison == '2014-2015')
								$pourcentageFinal = ($totalPoints * 100)/75;
							else // 2015-2016 et 2016-2017
								$pourcentageFinal = ($totalPoints * 100)/69;

							$pourcentageFinalRounded = round($pourcentageFinal);

							if ($saison == '2013-2014' || $saison == '2014-2015')
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formP&idEcole=' . $cle . '&saison=' . $saison;
							else // 2015-2016 et 2016-2017
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formP1516&idEcole=' . $cle . '&saison=' . $saison;

							if (isset($_GET['sltQuelleRegion']))
								$html .= '&sltQuelleRegion=' . $_GET['sltQuelleRegion'];

							$html .= '">' . $ligne['NOM'] . '</a> | ' . afficherCertificationPrimaire($pourcentageFinalRounded) . '</a>';

							// Affichage du lien pour débarrer le formulaire seulement
							// pour la saison en cours
							if ($saison == '2016-2017')
							{
								$html .= ' | <a href="#" onClick="dialogUnlockForm(' . $cle . ');">Débarrer</a>';

								// Formulaire caché pour envoyer ID école à débarrer formulaires
								$html .= '<form name="frmDebarrerFrm' . $cle . '" id="frmDebarrerFrm' . $cle . '" action="php/unlock_form.php" method="post" style="display:none;" />';
									$html .= '<input type="hidden" name="idEcole" value="' . $cle . '" />';

									if ($_SESSION['usagerConsultIsoActif']->u_region == '99')
										$html .= '<input type="hidden" name="idRegion" value="' . $pRegion . '" />';

								$html .= '</form>';
							}

							$html .= '<br />';
							//////////////////////////////////////////////////////////////////////////////////////////////////////////////
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';

				// Écoles primaires dont le formulaire est incomplet mais ayant au moins une question de remplie
				$html .= '<td valign="top">';
					$nbNonCompletP = count($tabNonCompletP);

					if ($nbNonCompletP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabNonCompletP as $cle => $valeur)
						{
							// on va chercher le nombre d'étudiants que l'usager a entré pour cette école lors de la création du compte
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							if ($saison == '2013-2014' || $saison == '2014-2015')
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formP&idEcole=' . $cle . '&saison=' . $saison;
							else // 2015-2016 et 2016-2017
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formP1516&idEcole=' . $cle . '&saison=' . $saison;

							if (isset($_GET['sltQuelleRegion']))
								$html .= '&sltQuelleRegion=' . $_GET['sltQuelleRegion'];

							$html .= '">' . $valeur . '</a>';


							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';

				// Écoles secondaires dont le formulaire est complet
				$html .= '<td valign="top">';
					$nbCompletS = count($tabCompletS);

					if ($nbCompletS == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabCompletS as $cle => $valeur)
						{
							// on va chercher le nombre d'étudiants que l'usager a entré pour cette école lors de la création du compte
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];


							// on va chercher le nombre de points que l'école a obtenue dans le formulaire
							$totalPoints = calculerTotalPoints($ligne['u_id'],'S',$saisonPourQuery);

							if ($saison == '2013-2014' || $saison == '2014-2015')
								$pourcentageFinal = ($totalPoints * 100)/86;
							else // 2015-2016 et 2016-2017
								$pourcentageFinal = ($totalPoints * 100)/80;

							$pourcentageFinalRounded = round($pourcentageFinal);

							if ($saison == '2013-2014' || $saison == '2014-2015')
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formS&idEcole=' . $cle . '&saison=' . $saison;
							else // 2015-2016
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formS1516&idEcole=' . $cle . '&saison=' . $saison;

							if (isset($_GET['sltQuelleRegion']))
								$html .= '&sltQuelleRegion=' . $_GET['sltQuelleRegion'];

							$html .= '">' . $ligne['NOM'] . '</a> | ' . afficherCertificationPrimaire($pourcentageFinalRounded);


							// Affichage du lien pour débarrer le formulaire seulement
							// pour la saison en cours
							if ($saison == '2015-2016')
							{
								$html .= ' | <a href="#" onClick="dialogUnlockForm(' . $cle . ');">Débarrer</a>';

								// Formulaire caché pour envoyer ID école à débarrer formulaires
								$html .= '<form name="frmDebarrerFrm' . $cle . '" id="frmDebarrerFrm' . $cle . '" action="php/unlock_form.php" method="post" style="display:none;" />';
									$html .= '<input type="hidden" name="idEcole" value="' . $cle . '" />';

									if ($_SESSION['usagerConsultIsoActif']->u_region == '99')
										$html .= '<input type="hidden" name="idRegion" value="' . $pRegion . '" />';

								$html .= '</form>';
							}

							$html .= '<br />';
							//////////////////////////////////////////////////////////////////////////////////////////////////////////////
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';

				// Écoles secondaires dont le formulaire est incomplet mais ayant au moins une question de remplie
				$html .= '<td valign="top">';
					$nbNonCompletS = count($tabNonCompletS);

					if ($nbNonCompletS == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabNonCompletS as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							if ($saison == '2013-2014' || $saison == '2014-2015')
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formS&idEcole=' . $cle . '&saison=' . $saison;
							else // 2015-2016 et 2016-2017
								$html .= '<a href="' . $_SERVER['PHP_SELF'] . '?p=formS1516&idEcole=' . $cle . '&saison=' . $saison;

							if (isset($_GET['sltQuelleRegion']))
								$html .= '&sltQuelleRegion=' . $_GET['sltQuelleRegion'];

							$html .= '">' . $valeur . '</a>';


							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';
			  $html .= '</tr>';


			  ################################################################
			  // FORMULAIRES VIDES
			  $html .= '<tr>';
				$html .= '<td width="25%" align="center"><strong>Formulaire vide (' . $nbNonCompletVideP . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire inexistant (' . $nbInexistantP . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire vide (' . $nbNonCompletVideS . ')</strong></td>';
				$html .= '<td width="25%" align="center"><strong>Formulaire inexistant (' . $nbInexistantS . ')</strong></td>';
			  $html .= '</tr>';

			  $html .= '<tr>';

				// Écoles primaires dont le formulaire est vide (aucune question remlie)
				$html .= '<td valign="top">';
					$nbNonCompletVideP = count($tabNonCompletVideP);

					if ($nbNonCompletVideP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabNonCompletVideP as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';




				// Écoles primaires dont le formulaire est inexistant
				$html .= '<td valign="top">';

					if ($nbInexistantP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabInexistantP as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							//$html .= '- ' . $valeur . ' (' . $cle . ')';
							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';




				// Écoles secondaires dont le formulaire est vide (aucune question remlie)
				$html .= '<td valign="top">';
					$nbNonCompletVideS = count($tabNonCompletVideS);

					if ($nbNonCompletVideS == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabNonCompletVideS as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';




				// Écoles secondaires dont le formulaire est inexistant
				$html .= '<td valign="top">';

					if ($nbInexistantP == 0)
						$html .= 'Aucune &eacute;cole';
					else
					{
						$nbEtudiantsTotalDeCetteSection = 0;

						foreach ($tabInexistantS as $cle => $valeur)
						{
							$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND ID = \'' . escape_valeur($cle) . '\'';
							if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
							$ligne = $resultat->fetch_assoc();

							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_g'];
							$nbEtudiantsTotalDeCetteSection += $ligne['u_e_nb_etud_f'];

							$html .= '- ' . $valeur;
							$html .= '<br />';
						}

						$html .= '<br />';
						$html .= 'Nb. &eacute;tudiants: ' . $nbEtudiantsTotalDeCetteSection;
					}
				$html .= '</td>';

			  $html .= '</tr>';
			  // FIN FORMULAIRES VIDES
			  ################################################################

			$html .= '</table>';

			$html .= '<br style="clear:both;" />';
			$html .= '<br style="clear:both;" />';
			$html .= '<div class="ligneHorizontale"></div>';
			$html .= '<br style="clear:both;" />';
			$html .= '<br style="clear:both;" />';


			// ÉCOLES NON-INSCRITES
			// on va chercher toutes les écoles de l'ARSE
			if ($userRegion == '99')
			{
				$requete = 'SELECT * FROM t_liste_ecoles_08 WHERE a_id_fk = \'' . escape_valeur($_GET['sltQuelleRegion']) . '\' ORDER BY NOM ASC';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
			}
			else
			{
				$requete = 'SELECT * FROM t_liste_ecoles_08 WHERE a_id_fk = \'' . escape_valeur($userRegion) . '\' ORDER BY NOM ASC';
				if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
			}

			$ecolesNonInscrites = '';
			$compteur = 0;

			while ($ligne2 = $resultat->fetch_assoc())
			{
				// on vérifie si l'école a un compte
				$requete2 = 'SELECT * FROM isoactif_t_usager_ecole WHERE u_e_id_fk = \'' . escape_valeur($ligne2['ID']) . '\'';
				if(!$resultat2 = $connexion->query($requete2)){ die('There was an error running the query [' . $connexion->error . ']'); }
				$nombre = $resultat2->num_rows;

				// si elle n'en a pas, on l'affiche dans la liste des écoles non inscrites
				// et on incrémente de 1 la valeur de $compteur
				if ($nombre == 0)
				{
					$ecolesNonInscrites .= '<br />';
					$ecolesNonInscrites .= '&bull; ' . $ligne2['NOM'];

					$compteur ++;
				}
			}

			$html .= '<strong style="font-size:16px;">&Eacute;coles non-inscrites (' . $compteur . ')</strong>';
			$html .= '<br />';

			// on affiche la liste des écoles non-inscrites de l'ARSE $_POST['sltQuelArse']
			$html .= $ecolesNonInscrites;

			// si aucune école est non-inscrite dans l'ARSE $_POST['sltQuelArse']
			if ($compteur == 0)
			{
				$html .= '<br />';
				$html .= 'Aucune &eacute;cole non-inscrite.';
			}
		} // End data display si saison AUTRE que 2019-2020
			/*
			else
			{
				$html .= '<br />';
				$html .= 'Aucune &eacute;cole inscrite.';
			}*/
			#########################################################################################################################
			#########################################################################################################################
			#########################################################################################################################

	} // End if au moins une école inscrite
	  // à ISO dans l'IR $pRegion

	return utf8_decode($html);
} // En fct afficherTableau
?>
